package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2018-08-08.
 * 字典数据
 *
 * @author jlutt
 */
public class DictData extends BaseEntity {

    private long id;

    @Comment("字典类型")
    @RColumn("idtype")
    private long idType;

    @Comment("字典标签")
    @RColumn("dictlabel")
    private String dictLabel;

    @Comment("字典键值")
    @RColumn("dictvalue")
    private String dictValue;

    @RColumn("sortnum")
    private int sortNum;

    @Comment("样式属性")
    @RColumn("cssclass")
    private String cssClass;

    @Comment("回显样式")
    @RColumn("listclass")
    private String listClass;

    @Comment("备注")
    @RColumn("remark")
    private String remark;

    @Comment("禁用标记0启用 1禁用")
    @RColumn("voidflag")
    private int voidFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getDictLabel() {
        return dictLabel;
    }

    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }

    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public int getSortNum() {
        return sortNum;
    }

    public void setSortNum(int sortNum) {
        this.sortNum = sortNum;
    }

    public String getCssClass() {
        return cssClass;
    }

    public void setCssClass(String cssClass) {
        this.cssClass = cssClass;
    }

    public String getListClass() {
        return listClass;
    }

    public void setListClass(String listClass) {
        this.listClass = listClass;
    }

    public long getIdType() {
        return idType;
    }

    public void setIdType(long idType) {
        this.idType = idType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }
}
